Mutation.MutationSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class Mutation.MutationSerializer

- java.lang.Object
- - org.apache.cassandra.db.Mutation.MutationSerializer

- All Implemented Interfaces:
    IVersionedSerializer<Mutation>
  Enclosing class:
    Mutation

      public static class Mutation.MutationSerializer
      extends java.lang.Object
      implements IVersionedSerializer<Mutation>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutationSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Mutation` | `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
    `Mutation` | `deserialize(java.io.DataInput in, int version, ColumnSerializer.Flag flag)`
    `void` | `serialize(Mutation mutation, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(Mutation mutation, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutationSerializer

          public MutationSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(Mutation mutation,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<Mutation>`
      Parameters:
        `mutation` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public Mutation deserialize(java.io.DataInput in,
                                      int version,
                                      ColumnSerializer.Flag flag)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public Mutation deserialize(java.io.DataInput in,
                                      int version)
                               throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<Mutation>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(Mutation mutation,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<Mutation>`
      Parameters:
        `mutation` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation